Name:           python-pynvim
Version:        0.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python client for Neovim

Provides:       python3-neovim = %{version}-%{release}
Obsoletes:      python3-neovim < %{version}-%{release}

License:        MIT
URL:            http://github.com/neovim/pynvim
Source:         %{pypi_source pynvim}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-toml
BuildRequires:  python3-wheel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-timeout)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(typing-extensions) >= 4.5

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pynvim' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pynvim
Summary:        %{summary}

%description -n python3-pynvim %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pynvim docs,test


%prep
%autosetup -p1 -n pynvim-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto

%check
%pyproject_check_import

%files -n python3-pynvim -f %{pyproject_files}


%changelog
%autochangelog
